@charset "UTF-8";
/*------------------------------------------------------------
  common.css
------------------------------------------------------------*/
img {
  max-width: 100%;
  height: auto;
}

.full-image figure,
.full-image img {
  width: 100%;
  height: auto;
}

.logo-avs {
  max-width: var(--grid-16);
}

/*============================================================
  common
============================================================*/
.listCaution {
  text-align: left;
}
.listCaution > dt {
  font-weight: 500;
  margin-bottom: 0.8rem;
}
.listCaution > li,
.listCaution > dd {
  position: relative;
  padding-left: 1em;
  text-indent: -1em;
  line-height: 1.2;
  margin-bottom: 0.5rem;
}

.section__title__box {
  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
  gap: var(--grid);
  text-align: center;
  margin: 0 auto;
}
@media (max-width: 768px) and (orientation: portrait) {
  .section__title__box {
    gap: calc(var(--grid) * 1.6);
  }
}
.section__title__catch {
  font-family: YakuHanMP, "FOT-筑紫Aオールド明朝 Pr6 M", serif;
  font-weight: 500;
  font-size: calc(var(--fontsize) * 2.6);
  letter-spacing: 0.11em;
}
@media (max-width: 768px) and (orientation: portrait) {
  .section__title__catch {
    font-size: calc(var(--fontsize) * 1.8);
  }
}
.section__title__en {
  color: var(--blue);
  font-size: calc(var(--fontsize) * 5.6);
  letter-spacing: 0.04em;
  font-family: "Cormorant Infant", serif;
  font-weight: 600;
}
@media (max-width: 768px) and (orientation: portrait) {
  .section__title__en {
    font-size: calc(var(--fontsize) * 4.4);
  }
}
.section__title__ja {
  font-size: calc(var(--fontsize) * 1.5);
  letter-spacing: 0.16em;
  font-weight: 600;
  text-align: center;
}
@media (max-width: 768px) and (orientation: portrait) {
  .section__title__ja {
    font-size: calc(var(--fontsize) * 1.2);
  }
}

/*============================================================
  button-reservation
============================================================*/
.button-reservation {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 0.48rem;
  width: var(--grid-6);
  height: var(--grid-6);
  color: var(--white);
  background-color: var(--pink);
  border-radius: calc(var(--grid-6) * 0.5);
  position: fixed;
  right: var(--grid-4);
  bottom: var(--grid-4);
  z-index: 24;
}
@media (hover: hover) and (pointer: fine) {
  .button-reservation:hover {
    color: var(--pink);
    background-color: var(--white);
  }
  .button-reservation:hover .icon-arrow {
    stroke: var(--pink);
  }
}
@media (max-width: 768px) and (orientation: portrait) {
  .button-reservation {
    gap: 0.32rem;
    width: var(--grid-8);
    height: var(--grid-8);
    border-radius: var(--grid-4);
    right: var(--grid-2);
    bottom: var(--grid-2);
  }
}
.button-reservation .text-label {
  font-size: 1.04rem;
  font-size: calc(var(--fontsize) * 1.04);
  letter-spacing: 0.16em;
  line-height: 1.52;
  text-align: center;
  margin-top: -0.2em;
}
@media (max-width: 768px) and (orientation: portrait) {
  .button-reservation .text-label {
    font-size: 0.72rem;
    font-size: calc(var(--fontsize) * 0.72);
    letter-spacing: 0.12em;
  }
}
.button-reservation .icon-arrow {
  stroke: var(--white);
  width: 1.6rem;
  height: auto;
}

/*============================================================
  module-link
============================================================*/
.division-link {
  display: flex;
  justify-content: center;
  gap: 2.2rem;
  width: 108.4rem;
  margin: 0 auto;
}
@media (max-width: 768px) and (orientation: portrait) {
  .division-link {
    flex-direction: column;
    gap: 0.8rem;
    width: 100%;
    margin: 0 auto;
    padding: 0 1.5rem;
  }
}

.module-link {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  padding: 2rem;
  position: relative;
  z-index: 0;
  gap: 0.5rem;
  background-color: #FFF;
}
@media (max-width: 768px) and (orientation: portrait) {
  .module-link {
    padding: calc(var(--grid) * 1.5) var(--grid);
    gap: var(--grid);
  }
}
.module-link .text-guide {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 0.8rem;
  color: var(--black);
  line-height: 1.64;
  font-size: 1.2rem;
  font-size: calc(var(--fontsize) * 1.7);
  font-weight: 500;
}
@media (max-width: 768px) and (orientation: portrait) {
  .module-link .text-guide {
    font-size: calc(var(--fontsize) * 1.4);
  }
}

/*============================================================
  button-link
============================================================*/
.button-link {
  display: inline-flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  width: 22.4rem;
  aspect-ratio: 28/5;
  font-size: 1.4rem;
  gap: 0.4rem;
  position: relative;
  z-index: 0;
}
@media (orientation: landscape), (min-width: 769px) and (orientation: portrait) {
  .button-link__l {
    width: 27.788rem;
    font-size: 1.6rem;
  }
}
@media (hover: hover) and (pointer: fine) {
  .button-link:hover {
    opacity: 0.75;
  }
}
@media (max-width: 768px) and (orientation: portrait) {
  .button-link {
    justify-content: center;
    padding-right: var(--grid-2);
    width: 24rem;
  }
}
.button-link .shape-button {
  width: 100%;
  height: 100%;
  margin: auto;
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  z-index: -1;
}
.button-link .icon-arrow {
  stroke: var(--white);
  width: 1.6rem;
  height: auto;
  transform: translateY(-24%);
  position: absolute;
  right: var(--grid-2);
}
@media (max-width: 768px) and (orientation: portrait) {
  .button-link .icon-arrow {
    transform: translateY(-24%);
    margin: auto 0;
    top: 0;
    bottom: 0;
  }
}
.button-link .icon-anchor {
  fill: var(--white);
  width: 1.6rem;
  aspect-ratio: 1/1;
}
@media (max-width: 768px) and (orientation: portrait) {
  .button-link .icon-anchor {
    margin: auto 0;
    position: absolute;
    right: var(--grid-2);
    top: 0;
    bottom: 0;
  }
}
.button-link.cl-gold {
  color: var(--white);
}
.button-link.cl-gold .shape-button {
  fill: var(--gold);
}
.button-link.cl-pink {
  color: var(--white);
}
.button-link.cl-pink .shape-button {
  fill: var(--pink);
}
.button-link.cl-blue {
  color: var(--white);
}
.button-link.cl-blue .shape-button {
  fill: var(--blue);
}

/*============================================================
  module-slider
============================================================*/
.module-slider {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  position: relative;
  z-index: 0;
  visibility: hidden;
  opacity: 0;
  transition: opacity 0.4s ease;
}
.module-slider.is-ready {
  visibility: visible;
  opacity: 1;
}
@media (max-width: 768px) and (orientation: portrait) {
  .module-slider {
    flex-direction: column;
    justify-content: initial;
    gap: var(--grid);
  }
}
.module-slider .module-slider-content .figure-slider .picture-slider,
.module-slider .module-slider-content .figure-slider picture {
  display: block;
  overflow: hidden;
  position: relative;
  z-index: 0;
}
.module-slider .module-slider-content .figure-slider .picture-slider img.picture,
.module-slider .module-slider-content .figure-slider picture img.picture {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
}
.module-slider .module-slider-content .figure-slider .picture-slider .text-notes,
.module-slider .module-slider-content .figure-slider picture .text-notes {
  color: var(--white);
  font-size: 0.8rem;
  font-size: calc(var(--fontsize) * 0.8);
  letter-spacing: 0.16em;
  text-shadow: 0 0 1 0 rgba(0, 0, 0, 0.4);
  position: absolute;
  right: 0.8rem;
  bottom: 0.8rem;
  z-index: 2;
}
@media (max-width: 768px) and (orientation: portrait) {
  .module-slider .module-slider-content .figure-slider .picture-slider .text-notes,
  .module-slider .module-slider-content .figure-slider picture .text-notes {
    font-size: 0.48rem;
    font-size: calc(var(--fontsize) * 0.48);
    right: 0.56rem;
    bottom: 0.56rem;
  }
}
.module-slider .module-slider-content .figure-slider figcaption {
  color: var(--black);
  font-size: 1.2rem;
  font-size: calc(var(--fontsize) * 1.2);
  letter-spacing: 0.12em;
  line-height: 1.84;
}
.module-slider .ul-slider-main {
  position: relative;
  width: 100%;
}
.module-slider .ul-slider-main > li {
  position: absolute;
  inset: 0;
  opacity: 0;
  pointer-events: none;
  aspect-ratio: 533/800;
  transition: opacity 0.5s ease-out;
}
.module-slider .ul-slider-main > li.current {
  opacity: 1;
  pointer-events: auto;
}
.module-slider .ul-slider {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  gap: 1rem;
  width: 100%;
  will-change: transform;
}
.module-slider .ul-slider::-webkit-scrollbar {
  display: none;
}
.module-slider .ul-slider > li {
  width: 24rem;
}
.module-slider .module-slider-indicator {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  align-items: center;
  justify-content: left;
  gap: 0.8rem;
  width: 100%;
  position: absolute;
  left: 0;
  top: 0;
  z-index: 1;
}
@media (max-width: 768px) and (orientation: portrait) {
  .module-slider .module-slider-indicator {
    justify-content: center;
    height: var(--grid);
  }
}
.module-slider .module-slider-indicator button {
  display: inline-block;
  width: 0.8rem;
  height: 0.8rem;
  background-color: var(--lightgray);
  border-radius: 100%;
}
@media (max-width: 768px) and (orientation: portrait) {
  .module-slider .module-slider-indicator button {
    width: 0.6rem;
    height: 0.6rem;
    background-color: var(--white);
  }
}
.module-slider .module-slider-indicator button.current {
  background-color: var(--blue);
  cursor: default;
}
.module-slider .module-slider-button {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 0.8rem;
}
@media (max-width: 768px) and (orientation: portrait) {
  .module-slider .module-slider-button {
    flex-direction: row;
  }
}
.module-slider.typefade .module-slider-content {
  width: 100%;
  aspect-ratio: 92/58;
}
@media (max-width: 768px) and (orientation: portrait) {
  .module-slider.typefade .module-slider-content {
    aspect-ratio: 654/480;
  }
}
.module-slider.typefade .module-slider-content .ul-slider {
  position: relative;
  width: 100%;
  height: 100%;
  display: block;
}
.module-slider.typefade .module-slider-content .ul-slider > li {
  position: absolute;
  inset: 0;
  width: 100%;
  opacity: 0;
  z-index: 1;
  pointer-events: none;
  transition: opacity 0.6s ease;
}
.module-slider.typefade .module-slider-content .ul-slider > li.is-active {
  opacity: 1;
  z-index: 2;
  pointer-events: auto;
}

/*============================================================
  button-next, button-prev
============================================================*/
.button-next,
.button-prev {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: 3.2rem;
  aspect-ratio: 1/1;
  border-radius: 100%;
}
.button-next:disabled,
.button-prev:disabled {
  opacity: 0.16;
  cursor: default;
}
@media (max-width: 768px) and (orientation: portrait) {
  .button-next,
  .button-prev {
    width: 2.4rem;
    position: relative;
  }
  .button-next svg,
  .button-prev svg {
    position: relative;
    width: 2.4rem;
    aspect-ratio: 1/1;
  }
}
@media (hover: hover) and (pointer: fine) {
  .button-next:not(:disabled):hover,
  .button-prev:not(:disabled):hover {
    opacity: 0.8;
  }
}

.button-prev .icon-arrow {
  transform: scaleX(-1);
}

/*============================================================
  charm-header
============================================================*/
#charm-header {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  padding: calc(var(--grid) * 3) var(--grid-4);
  position: absolute;
  left: 0;
  top: 0;
  z-index: 24;
}
@media (orientation: landscape), (min-width: 769px) and (orientation: portrait) {
  #charm-header.floating {
    position: fixed;
    height: var(--grid-4);
    padding: var(--grid-2);
    background-color: rgba(255, 255, 255, 0.4);
    backdrop-filter: blur(40px);
  }
  #charm-header.floating .charm-header__logo .logo-avs use {
    fill: var(--blue);
  }
  #charm-header.floating .charm-header__menu .nav-header .ul-menu > li > a {
    color: var(--blue);
  }
  #charm-header.floating .charm-header__menu .nav-header .ul-menu + .ul-menu {
    border-left-color: var(--blue);
  }
}
@media (max-width: 768px) and (orientation: portrait) {
  #charm-header {
    height: var(--grid-8);
    background-color: var(--blue);
    padding: 0;
  }
}
#charm-header .charm-header__logo {
  display: flex;
  flex-direction: column;
  align-items: center;
}
@media (max-width: 768px) and (orientation: portrait) {
  #charm-header .charm-header__logo {
    width: 100%;
    margin-top: 0.8rem;
  }
}
#charm-header .charm-header__logo .logo-avs {
  width: 21rem;
  height: auto;
}
#charm-header .charm-header__logo .logo-avs use {
  fill: var(--white);
}
@media (max-width: 768px) and (orientation: portrait) {
  #charm-header .charm-header__logo .logo-avs {
    width: 22rem;
  }
}
#charm-header .charm-header__logo .text-title {
  color: var(--blue);
  font-family: YakuHanMP, "FOT-筑紫Aオールド明朝 Pr6 M", serif;
  font-weight: 700;
  font-size: 1.2rem;
}
@media (max-width: 768px) and (orientation: portrait) {
  #charm-header .charm-header__logo .text-title {
    font-size: 1.12rem;
    color: var(--white);
  }
}
#charm-header .charm-header__menu {
  display: flex;
  flex-direction: row-reverse;
  align-items: center;
  justify-items: right;
  gap: var(--grid-2);
}
#charm-header .charm-header__menu .nav-header {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  gap: var(--grid);
}
@media (max-width: 768px) and (orientation: portrait) {
  #charm-header .charm-header__menu .nav-header {
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    gap: var(--grid-4);
    width: 100%;
    background-color: var(--blue);
    padding: var(--grid-8) var(--grid-2) var(--grid-4);
    margin: 0 auto;
    position: fixed;
    left: -100%;
    top: 0;
    z-index: 20;
  }
}
#charm-header .charm-header__menu .nav-header .ul-menu {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  gap: calc(var(--grid) * 1.4);
}
@media (max-width: 768px) and (orientation: portrait) {
  #charm-header .charm-header__menu .nav-header .ul-menu {
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    gap: var(--grid-4);
    width: 100%;
  }
}
#charm-header .charm-header__menu .nav-header .ul-menu > li > a {
  color: #FFF;
  font-family: YakuHanMP, "FOT-筑紫Aオールド明朝 Pr6 M", serif;
  font-weight: 700;
  font-size: 1.5rem;
  font-size: calc(var(--fontsize) * 1.5);
  white-space: nowrap;
}
@media (max-width: 768px) and (orientation: portrait) {
  #charm-header .charm-header__menu .nav-header .ul-menu > li > a {
    color: var(--white);
    white-space: normal;
  }
}
#charm-header .charm-header__menu .nav-header .ul-menu + .ul-menu {
  border-left: 1px solid var(--blue);
  padding-left: var(--grid);
  letter-spacing: normal;
}
@media (max-width: 768px) and (orientation: portrait) {
  #charm-header .charm-header__menu .nav-header .ul-menu + .ul-menu {
    border-left: none;
    border-top: 1px solid rgba(255, 255, 255, 0.4);
    padding-left: 0;
    padding-top: var(--grid-4);
  }
}
#charm-header .input-menu {
  display: none;
}
@media (max-width: 768px) and (orientation: portrait) {
  #charm-header .input-menu:checked ~ .button-menu::after {
    content: "Close";
  }
  #charm-header .input-menu:checked ~ .button-menu .icon-menu::before, #charm-header .input-menu:checked ~ .button-menu .icon-menu::after {
    width: 2.4rem;
    top: 0;
    bottom: 0;
  }
  #charm-header .input-menu:checked ~ .button-menu .icon-menu::before {
    transform: rotate(45deg);
  }
  #charm-header .input-menu:checked ~ .button-menu .icon-menu::after {
    transform: rotate(-45deg);
  }
  #charm-header .input-menu:checked ~ .button-menu .icon-menu .bar {
    opacity: 0;
  }
  #charm-header .input-menu:checked ~ .nav-header {
    left: 0;
  }
}
#charm-header .button-menu {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 0.48rem;
  width: 4.8rem;
  height: 4.8rem;
  background-color: var(--blue);
  border-radius: 0.32rem;
  cursor: pointer;
}
@media (orientation: landscape), (min-width: 769px) and (orientation: portrait) {
  #charm-header .button-menu {
    display: none;
  }
}
@media (max-width: 768px) and (orientation: portrait) {
  #charm-header .button-menu {
    position: fixed;
    right: var(--grid);
    top: var(--grid);
    z-index: 24;
  }
}
#charm-header .button-menu::after {
  content: "Menu";
  color: var(--white);
  font-family: "Lato", sans-serif;
  font-size: 0.8rem;
  font-size: calc(var(--fontsize) * 0.8);
  letter-spacing: 0.08em;
  text-transform: uppercase;
  margin-bottom: -0.32rem;
}
#charm-header .button-menu .icon-menu {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  justify-content: center;
  gap: 0.48rem;
  width: 2.6rem;
  height: 1.44rem;
  position: relative;
}
#charm-header .button-menu .icon-menu::before, #charm-header .button-menu .icon-menu::after {
  content: "";
  display: block;
  height: 1px;
  background-color: var(--white);
  margin: auto 0;
  position: absolute;
  right: 0;
}
#charm-header .button-menu .icon-menu::before {
  width: 2rem;
  top: 0.16rem;
}
#charm-header .button-menu .icon-menu::after {
  width: 1.6rem;
  bottom: 0.16rem;
}
#charm-header .button-menu .icon-menu .bar {
  fill: var(--white);
  width: 2.6rem;
  height: auto;
}

/*============================================================
  charm-footer
============================================================*/
#charm-footer {
  display: flex;
  flex-direction: column;
  gap: var(--grid-4);
  width: 100%;
  background-color: var(--blue);
  padding: var(--grid-6) 0 var(--grid-2);
  position: relative;
  z-index: 0;
}
@media (max-width: 768px) and (orientation: portrait) {
  #charm-footer {
    gap: var(--grid-6);
    padding: var(--grid-4) var(--grid-2);
    overflow: hidden;
  }
}
@media (max-width: 768px) and (orientation: portrait) {
  #charm-footer .division-charm-footer-1 {
    width: 100%;
  }
}
#charm-footer .division-charm-footer-1 .ul-sns {
  display: flex;
  justify-content: center;
  gap: var(--grid-1h);
}
@media (max-width: 768px) and (orientation: portrait) {
  #charm-footer .division-charm-footer-1 .ul-sns {
    justify-content: center;
    gap: var(--grid);
  }
}
#charm-footer .division-charm-footer-1 .ul-sns > li > a {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 3.2rem;
  height: 3.2rem;
  border-radius: 1.6rem;
  background-color: var(--white);
  overflow: hidden;
}
@media (hover: hover) and (pointer: fine) {
  #charm-footer .division-charm-footer-1 .ul-sns > li > a:hover {
    background-color: transparent;
    outline: 1px solid rgba(255, 255, 255, 0.2);
  }
  #charm-footer .division-charm-footer-1 .ul-sns > li > a:hover svg {
    fill: var(--white);
  }
}
#charm-footer .division-charm-footer-1 .ul-sns > li > a svg {
  fill: var(--blue);
}
#charm-footer .division-charm-footer-1 .ul-sns > li > a svg.icon-instagram {
  width: 1.1rem;
  height: auto;
}
#charm-footer .division-charm-footer-1 .ul-sns > li > a svg.icon-facebook {
  width: auto;
  height: 1.2rem;
}
#charm-footer .division-charm-footer-1 .ul-sns > li > a svg.icon-x {
  width: auto;
  height: 1.1rem;
}
#charm-footer .division-charm-footer-1 .ul-sns > li > a svg.icon-youtube {
  width: 1.2rem;
  height: auto;
}
#charm-footer .division-charm-footer-1 .ul-sns > li > a svg.icon-pinterest {
  width: 1.2rem;
  height: auto;
}
#charm-footer .division-charm-footer-1 .ul-menu {
  margin-top: var(--grid-2);
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: var(--grid);
}
@media (max-width: 768px) and (orientation: portrait) {
  #charm-footer .division-charm-footer-1 .ul-menu {
    gap: var(--grid-2) var(--grid);
  }
}
@media (max-width: 768px) and (orientation: portrait) {
  #charm-footer .division-charm-footer-1 .ul-menu > li {
    width: calc((100% - var(--grid)) / 2);
  }
}
#charm-footer .division-charm-footer-1 .ul-menu > li > a {
  color: var(--white);
  font-size: 1.2rem;
  font-size: calc(var(--fontsize) * 1.2);
  letter-spacing: 0.16em;
  line-height: 1.6;
  opacity: 0.64;
}
@media (hover: hover) and (pointer: fine) {
  #charm-footer .division-charm-footer-1 .ul-menu > li > a:hover {
    opacity: 1;
  }
}
#charm-footer .division-charm-footer-2 {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  width: var(--grid-82);
  margin: 0 auto;
  padding-top: var(--grid-2);
  border-top: 1px solid rgba(255, 255, 255, 0.2);
}
@media (max-width: 768px) and (orientation: portrait) {
  #charm-footer .division-charm-footer-2 {
    flex-direction: column;
    justify-content: center;
    gap: var(--grid-4);
    width: 100%;
    padding: var(--grid-4) 0;
  }
}
#charm-footer .division-charm-footer-2 .division-charm-footer-2-1 {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: var(--grid);
}
@media (max-width: 768px) and (orientation: portrait) {
  #charm-footer .division-charm-footer-2 .division-charm-footer-2-1 {
    flex-direction: column;
    align-items: center;
    gap: var(--grid-2);
  }
}
#charm-footer .division-charm-footer-2 .division-charm-footer-2-1 .logo-avs {
  fill: var(--white);
  width: 15.6rem;
  height: auto;
  transform: translateY(16%);
}
#charm-footer .division-charm-footer-2 .division-charm-footer-2-1 .text-statement {
  color: var(--white);
  font-size: 1.2rem;
  font-size: calc(var(--fontsize) * 1.2);
  letter-spacing: 0.16em;
}
@media (max-width: 768px) and (orientation: portrait) {
  #charm-footer .division-charm-footer-2 .division-charm-footer-2-1 .text-statement {
    font-size: 1.12rem;
    font-size: calc(var(--fontsize) * 1.12);
  }
}
#charm-footer .division-charm-footer-2 .text-copyright {
  font-family: "Lato", sans-serif;
  color: var(--white);
  font-size: 0.96rem;
  font-size: calc(var(--fontsize) * 0.96);
  letter-spacing: 0.08em;
}
@media (max-width: 768px) and (orientation: portrait) {
  #charm-footer .division-charm-footer-2 .text-copyright {
    font-size: 0.96rem;
    font-size: calc(var(--fontsize) * 0.96);
  }
}

/*============================================================
  #charm-halls
============================================================*/
.charm-halls {
  width: 108.4rem;
  padding: var(--grid-10) 0;
  margin: 0 auto;
}
.charm-halls__anchor {
  margin-top: 8rem;
}
.charm-halls__anchor .ul-menu {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
  gap: var(--grid);
}
.charm-halls__anchor .ul-menu > li > a {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  gap: 0.4rem;
  width: var(--grid-8);
  height: var(--grid-4);
  color: var(--black);
  font-size: calc(var(--fontsize) * 1.36);
  letter-spacing: 0.16em;
  background-color: var(--lightgold);
  border-radius: calc(var(--grid-4) * 0.5);
}
@media (hover: hover) {
  .charm-halls__anchor .ul-menu > li > a:hover {
    color: var(--white);
    background-color: var(--gold);
  }
  .charm-halls__anchor .ul-menu > li > a:hover .icon-anchor {
    fill: var(--white);
  }
}
.charm-halls__anchor .ul-menu > li > a .icon-anchor {
  fill: var(--black);
  width: auto;
  height: 1.3rem;
  margin-bottom: -0.2rem;
}
.charm-halls__list {
  display: flex;
  flex-direction: column;
  gap: 7.8rem;
  margin-top: 10rem;
}
.charm-halls__list .section-halls-area .heading-area {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 1rem;
  padding: var(--grid-2) 0;
  margin-bottom: 1.6rem;
}
.charm-halls__list .section-halls-area .heading-area .text-area-en {
  color: var(--black);
  font-family: "Cormorant Infant", serif;
  font-weight: 400;
  font-size: calc(var(--fontsize) * 3.6);
  letter-spacing: 0.1em;
  text-transform: uppercase;
}
.charm-halls__list .section-halls-area .heading-area .text-area {
  color: var(--black);
  font-size: calc(var(--fontsize) * 1.6);
  letter-spacing: 0.16em;
}
.charm-halls__list .section-hall {
  display: flex;
  flex-direction: column;
  gap: 2rem;
}
.charm-halls__list .section-hall + .section-hall {
  margin-top: 4rem;
  padding-top: 4rem;
  border-top: 1px solid var(--lightgray);
}
.charm-halls__list .section-hall .hallList__detail {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: flex-end;
}
.charm-halls__list .section-hall .hallList__detail .division-hall-1-1 {
  width: var(--grid-34);
}
.charm-halls__list .section-hall .hallList__detail .division-hall-1-1 .heading-name {
  font-family: YakuHanMP, "FOT-筑紫Aオールド明朝 Pr6 M", serif;
  font-weight: 500;
  font-size: calc(var(--fontsize) * 2.6);
  letter-spacing: 0.14em;
}
.charm-halls__list .section-hall .hallList__detail .division-hall-1-1 .heading-name > span {
  font-size: 80%;
}
.charm-halls__list .section-hall .hallList__detail .division-hall-1-1 .text-catch {
  color: var(--black);
  font-size: calc(var(--fontsize) * 1.6);
  letter-spacing: 0.16em;
  margin-top: 1.6rem;
}
.charm-halls__list .section-hall .hallList__detail .division-hall-1-1 .text-access {
  color: var(--gray);
  font-size: calc(var(--fontsize) * 1.4);
  letter-spacing: 0.12em;
  margin-top: 1.4rem;
}
.charm-halls__list .section-hall .hallList__detail .division-hall-1-2 {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: right;
  gap: var(--grid);
  width: var(--grid-34);
  height: 4rem;
}
.charm-halls__list .section-hall .hallList__photo {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  width: 100%;
}
.charm-halls__list .section-hall .hallList__photo .figure-hall {
  width: 26rem;
  aspect-ratio: 16/9;
  overflow: hidden;
  position: relative;
  z-index: 0;
}
.charm-halls__list .section-hall .hallList__photo .figure-hall img.picture {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
}
@media (max-width: 768px) and (orientation: portrait) {
  .charm-halls {
    width: 100%;
    padding: 7.4rem var(--grid-2) 4rem var(--grid-2);
  }
  .charm-halls .section__title__en {
    font-size: calc(var(--fontsize) * 3.6);
  }
  .charm-halls__anchor {
    margin-top: 3.4rem;
  }
  .charm-halls__anchor .ul-menu {
    flex-wrap: wrap;
    justify-content: left;
  }
  .charm-halls__anchor .ul-menu > li {
    width: calc((100% - var(--grid) * 3) / 4);
  }
  .charm-halls__anchor .ul-menu > li > a {
    gap: 0.4rem;
    width: 100%;
    height: var(--grid-6);
    border-radius: calc(var(--grid-6) * 0.5);
  }
  .charm-halls__list {
    gap: 5rem;
    margin-top: 4.6rem;
  }
  .charm-halls__list .section-halls-area .heading-area {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 1rem;
    padding: 0;
    margin-bottom: 1.6rem;
  }
  .charm-halls__list .section-halls-area .heading-area .text-area-en {
    font-size: calc(var(--fontsize) * 2.4);
  }
  .charm-halls__list .section-halls-area .heading-area .text-area {
    font-size: calc(var(--fontsize) * 1.2);
  }
  .charm-halls__list .section-hall {
    display: flex;
    flex-direction: column;
    gap: 1.6rem;
  }
  .charm-halls__list .section-hall + .section-hall {
    margin-top: 2rem;
    padding-top: 2rem;
  }
  .charm-halls__list .section-hall .hallList__detail {
    flex-direction: column;
    gap: 1rem;
  }
  .charm-halls__list .section-hall .hallList__detail .division-hall-1-1 {
    width: 100%;
  }
  .charm-halls__list .section-hall .hallList__detail .division-hall-1-1 .heading-name {
    font-size: calc(var(--fontsize) * 1.6);
  }
  .charm-halls__list .section-hall .hallList__detail .division-hall-1-1 .heading-name > span {
    font-size: 80%;
  }
  .charm-halls__list .section-hall .hallList__detail .division-hall-1-1 .text-catch {
    font-size: calc(var(--fontsize) * 1.4);
    margin-top: 1rem;
    line-height: 1.4;
  }
  .charm-halls__list .section-hall .hallList__detail .division-hall-1-1 .text-access {
    font-size: calc(var(--fontsize) * 1.1);
    margin-top: 1rem;
  }
  .charm-halls__list .section-hall .hallList__detail .division-hall-1-2 {
    justify-content: center;
    width: 100%;
    height: 4rem;
  }
  .charm-halls__list .section-hall .hallList__detail .division-hall-1-2 .button-link {
    font-size: calc(var(--fontsize) * 1.2);
  }
  .charm-halls__list .section-hall .hallList__photo {
    gap: 1rem;
    width: 100%;
  }
  .charm-halls__list .section-hall .hallList__photo .figure-hall {
    width: calc(50% - 0.5rem);
  }
  .charm-halls__list .section-hall .hallList__photo .figure-hall:nth-of-type(n + 3) {
    display: none;
  }
}